<div class="container">
  <div class="row">
    <div class="mouseicon"  [ngClass]="{'show-scroll': showMouse}" >
      <svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-mouse2" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" d="M3 5.188C3 2.341 5.22 0 8 0s5 2.342 5 5.188v5.625C13 13.658 10.78 16 8 16s-5-2.342-5-5.188V5.189zm4.5-4.155C5.541 1.289 4 3.035 4 5.188V5.5h3.5V1.033zm1 0V5.5H12v-.313c0-2.152-1.541-3.898-3.5-4.154zM12 6.5H4v4.313C4 13.145 5.81 15 8 15s4-1.855 4-4.188V6.5z"/>
        </svg>
    </div>
    <div class="topdown"  [ngClass]="{'show-scroll': showScroll}" (click)="scrollToTop()" ><svg width="2em" height="2em" viewBox="0 0 16 16" class="bi bi-arrow-up-circle-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
      <path fill-rule="evenodd" d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-10.646.354a.5.5 0 1 1-.708-.708l3-3a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 6.207V11a.5.5 0 0 1-1 0V6.207L5.354 8.354z"/>
      </svg></div>
    <div class="col-md-9">
      <div *ngFor='let event of events;let i =index'>
        <app-event [value]='event' (deleteeve)=deleteEvent($event)>

        </app-event>
      </div>
      <div class="text-center">
        <button class="btn btn-info"(click)='open(mymodal)' >Add event</button>
      </div>
    </div>
    <div class="col-md-3">
      <div class="row text-center">
        <p class="mt-5 pt-5">you have <b>{{events.length}}</b> events today </p>
      </div>
    </div>
  </div>
  <ng-template #mymodal let-c="close" let-d="dismiss">
      <div class="modal-header">
          <h1>add new event</h1>
          <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
          </button>
      </div>
      <div class="modal-body">
          <div class="container">
              <div class="row m-1">
                  <label for="timein" class="col-md-3">Time</label>
                  <input type="text" [formControl]='timein' class="form-control col-md-9" id="timein" name="timein">
              </div>
              <div class="row m-1">
                <label for="subjectin" class="col-md-3">Subject</label>
                <input type="text" [formControl]='subjectin' class="form-control col-md-9" id="subjectin" name="subjectin">
            </div>
            <div class="row m-1">
                <label for="locationin" class="col-md-3">Location</label>
                <input type="text" [formControl]='locationin' class="form-control col-md-9" id="locationin" name="locationin">
            </div>
            <div class="row m-1">
                <label for="descriptionin" class="col-md-3">Descripition</label>
                <input type="text" [formControl]='descriptionin' class="form-control col-md-9" id="descriptionin" name="descriptionin">
            </div>
          </div>
      </div>
      <div class="modal-footer">
<button class='btn btn-danger text-center '  (click)='addeve()'>Add</button>

      </div>
  </ng-template>


</div>
